Subject: bug of ln -s?
From: [email-masked] (Porcelin Wang)

1 Oct 1997 10:13:25 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: [email-masked]

Sergey Okhapkin wrote:
> 
> The signal handling with window messages is incompatible with non-reentrant
> 16-bit user.exe module in Windows95... Windows 95 crashes when signal
> handler modifies the context of main thread while in user.exe code. The
> state of user.exe is unpredictable in this case.
> 
> I've just modified the cygwin code - do not send SIGCHLD to parent on child
> exit. It's the default behavior on windows 95 (it's still possible to
> override it with CYGWIN_SIGCHLD=1 environment variable). On NT the SIGCHLD
> signal is always sent to parent. My W95 machine runs now configure of cdk
> in one console, and the make of cdk in another console. I'll post the patch
> when the both processes will finish successfully:-)

  Thank for Sergey's explanation about signal handler problem.
  I meet another problem under Windows95. Maybe someone understand it:

  The below line can be executed successfully.
  
    bash:/bin$ ln -s //h/gnuwin32/b18/h-i386-cygwin32/bin/* .

  But when //h is a compressed disk, it crashes, unless I remove 
  some files in the directory //h/gnuwin32/b18/h-i386-cygwin32/bin.
  (error from too man files?)
  
  error messages:

  BASH caused a stack fault in module KERNEL32.DLL at 0137:bff725c5.
  Registers:
  EAX=002a0037 CS=0137 EIP=bff725c5 EFLGS=00000283
  EBX=fda79000 SS=013f ESP=0258bf92 EBP=0258bfa6
  ECX=815ce644 DS=013f ESI=0258bfb6 FS=334f
  EDX=815c3898 ES=013f EDI=815c3898 GS=0000
  Bytes at CS:EIP:
  6a ff e8 2d 87 01 00 eb e7 55 8b ec 56 57 53 8b 
  Stack dump:
  fda79000 815c38a8 0258bfb6 4759432d 334e4957 0258c00c bff7294f
815c3898 0258bfb6 170718ac        016f0028 00010000 b57d0000 0100fffb
c0070000 bfd80258 

  Why that? The problem is from 'ln -s' or 'const defined in srcs' or
stack or W95 limit?
  The running system is Windows95 OSR2, FAT16.
  Hope people understand my English. :-)

-
Porcelin
Taiwan, Republic Of China

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".